Bug 175465 - libXft-devel should require libXrender-devel
libXft-devel should require libXrender-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libXft (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-11 00:58 EST by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 14:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2005-12-11 00:58:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051129 Fedora/1.5-1 Firefox/1.5

Description of problem:
[mpeters@localhost ~]$ grep "Xrender.h" /usr/include/X11/Xft/Xft.h
#include <X11/extensions/Xrender.h>

This causes an rpm build failure in mock with some src.rpm's

Version-Release number of selected component (if applicable):
libXft-devel-2.1.8-2

How reproducible:
Always

Steps to Reproduce:
1. build certain application that BuildRequires libXft-devel
2.
3.
  

Actual Results:  If libXrender-devel not installed, gcc exits when it can find Xrender.h

Expected Results:  libXft-devel should require libXrender-devel

Additional info:
Comment 1 Mike A. Harris 2005-12-14 14:17:33 EST
Thanks, fixed in libXft-2.1.8.1-1

Note You need to log in before you can comment on or make changes to this bug.